Summary: Network monitoring tools
Name: iputils
Version: s20121221
Release: r0.0
License: BSD & GPLv2+
Group: console/network
Packager: Wind River <info@windriver.com>
URL: http://www.skbuff.net/iputils
BuildRequires: virtual/update-alternatives
BuildRequires: sgmlspl-native
BuildRequires: libcap
BuildRequires: virtual/libc
BuildRequires: gnutls
BuildRequires: docbook-utils-native
BuildRequires: virtual/x86_64-wrs-linux-gcc
BuildRequires: virtual/x86_64-wrs-linux-compilerlibs
Requires: iputils-ping6
Requires: iputils-clockdiff
Requires: iputils-traceroute6
Requires: iputils-tracepath6
Requires: iputils-tracepath
Requires: iputils-arping
Requires: iputils-ping

%description
Utilities for the IP protocol, including traceroute6, tracepath,
tracepath6, ping, ping6 and arping.

%package -n iputils-dbg
Summary: Network monitoring tools - Debugging files
Group: devel
Suggests: libc6-dbg
Suggests: gnutls-openssl-dbg
Suggests: libcap-dbg
Recommends: iputils = s20121221-r0.0

%description -n iputils-dbg
Utilities for the IP protocol, including traceroute6, tracepath,
tracepath6, ping, ping6 and arping.  This package contains ELF symbols and
related sources for debugging purposes.

%package -n iputils-staticdev
Summary: Network monitoring tools - Development files (Static Libraries)
Group: devel
Requires: iputils-dev = s20121221-r0.0

%description -n iputils-staticdev
Utilities for the IP protocol, including traceroute6, tracepath,
tracepath6, ping, ping6 and arping.  This package contains static libraries
for software development.

%package -n iputils-dev
Summary: Network monitoring tools - Development files
Group: devel
Requires: iputils = s20121221-r0.0
Suggests: iputils-tracepath-dev
Suggests: iputils-ping-dev
Suggests: gnutls-openssl-dev
Suggests: iputils-traceroute6-dev
Suggests: libcap-dev
Suggests: libc6-dev
Suggests: update-alternatives-opkg-dev
Suggests: libgnutls-dev
Suggests: iputils-tracepath6-dev
Suggests: iputils-clockdiff-dev
Suggests: iputils-ping6-dev
Suggests: iputils-arping-dev

%description -n iputils-dev
Utilities for the IP protocol, including traceroute6, tracepath,
tracepath6, ping, ping6 and arping.  This package contains symbolic links,
header files, and related items necessary for software development.

%package -n iputils-doc
Summary: Network monitoring tools - Documentation files
Group: doc

%description -n iputils-doc
Utilities for the IP protocol, including traceroute6, tracepath,
tracepath6, ping, ping6 and arping.  This package contains documentation.

%package -n iputils-locale
Summary: Network monitoring tools
Group: console/network

%description -n iputils-locale
Utilities for the IP protocol, including traceroute6, tracepath,
tracepath6, ping, ping6 and arping.

%package -n iputils-ping
Summary: Network monitoring tools
Group: console/network
Requires: rtld(GNU_HASH)
Requires: libc.so.6(GLIBC_2.3)(64bit)
Requires: libc.so.6(GLIBC_2.14)(64bit)
Requires: libcap2 >= 2.24
Requires: libc.so.6()(64bit)
Requires: libc.so.6(GLIBC_2.2.5)(64bit)
Requires: libc6 >= 2.22
Requires: update-alternatives-opkg
Requires: libcap.so.2()(64bit)
Requires(post): rtld(GNU_HASH)
Requires(post): libc.so.6(GLIBC_2.3)(64bit)
Requires(post): libc.so.6(GLIBC_2.14)(64bit)
Requires(post): libcap2 >= 2.24
Requires(post): libc.so.6()(64bit)
Requires(post): libc.so.6(GLIBC_2.2.5)(64bit)
Requires(post): libc6 >= 2.22
Requires(post): update-alternatives-opkg
Requires(post): libcap.so.2()(64bit)
Requires(preun): rtld(GNU_HASH)
Requires(preun): libc.so.6(GLIBC_2.3)(64bit)
Requires(preun): libc.so.6(GLIBC_2.14)(64bit)
Requires(preun): libcap2 >= 2.24
Requires(preun): libc.so.6()(64bit)
Requires(preun): libc.so.6(GLIBC_2.2.5)(64bit)
Requires(preun): libc6 >= 2.22
Requires(preun): update-alternatives-opkg
Requires(preun): libcap.so.2()(64bit)
Provides: /bin/ping
Provides: elf(buildid) = d31edf1c785b3edf4fea0441e94387644ea826e5

%description -n iputils-ping
Utilities for the IP protocol, including traceroute6, tracepath,
tracepath6, ping, ping6 and arping.

%package -n iputils-ping6
Summary: Network monitoring tools
Group: console/network
Requires: libresolv.so.2(GLIBC_2.2.5)(64bit)
Requires: libc.so.6(GLIBC_2.3)(64bit)
Requires: libc.so.6(GLIBC_2.14)(64bit)
Requires: libresolv.so.2()(64bit)
Requires: libcap2 >= 2.24
Requires: libc.so.6()(64bit)
Requires: libc.so.6(GLIBC_2.2.5)(64bit)
Requires: rtld(GNU_HASH)
Requires: libc6 >= 2.22
Requires: update-alternatives-opkg
Requires: libgnutls-openssl.so.27()(64bit)
Requires: libcap.so.2()(64bit)
Requires: libgnutls-openssl27 >= 3.3.17.1
Requires(post): libresolv.so.2(GLIBC_2.2.5)(64bit)
Requires(post): libc.so.6(GLIBC_2.3)(64bit)
Requires(post): libc.so.6(GLIBC_2.14)(64bit)
Requires(post): libresolv.so.2()(64bit)
Requires(post): libcap2 >= 2.24
Requires(post): libc.so.6()(64bit)
Requires(post): libc.so.6(GLIBC_2.2.5)(64bit)
Requires(post): rtld(GNU_HASH)
Requires(post): libc6 >= 2.22
Requires(post): update-alternatives-opkg
Requires(post): libgnutls-openssl.so.27()(64bit)
Requires(post): libcap.so.2()(64bit)
Requires(post): libgnutls-openssl27 >= 3.3.17.1
Requires(preun): libresolv.so.2(GLIBC_2.2.5)(64bit)
Requires(preun): libc.so.6(GLIBC_2.3)(64bit)
Requires(preun): libc.so.6(GLIBC_2.14)(64bit)
Requires(preun): libresolv.so.2()(64bit)
Requires(preun): libcap2 >= 2.24
Requires(preun): libc.so.6()(64bit)
Requires(preun): libc.so.6(GLIBC_2.2.5)(64bit)
Requires(preun): rtld(GNU_HASH)
Requires(preun): libc6 >= 2.22
Requires(preun): update-alternatives-opkg
Requires(preun): libgnutls-openssl.so.27()(64bit)
Requires(preun): libcap.so.2()(64bit)
Requires(preun): libgnutls-openssl27 >= 3.3.17.1
Provides: /bin/ping6
Provides: elf(buildid) = 6c95cde8609d2783e9914cace4b1095c5aa59795

%description -n iputils-ping6
Utilities for the IP protocol, including traceroute6, tracepath,
tracepath6, ping, ping6 and arping.

%package -n iputils-arping
Summary: Network monitoring tools
Group: console/network
Requires: rtld(GNU_HASH)
Requires: libc.so.6(GLIBC_2.3)(64bit)
Requires: libc.so.6(GLIBC_2.14)(64bit)
Requires: libcap2 >= 2.24
Requires: libc.so.6()(64bit)
Requires: libc.so.6(GLIBC_2.2.5)(64bit)
Requires: libc6 >= 2.22
Requires: libcap.so.2()(64bit)
Provides: elf(buildid) = fef8d5e5f8d88bc9b4ab287e08e640649071b8dc

%description -n iputils-arping
Utilities for the IP protocol, including traceroute6, tracepath,
tracepath6, ping, ping6 and arping.

%package -n iputils-tracepath
Summary: Network monitoring tools
Group: console/network
Requires: rtld(GNU_HASH)
Requires: libc.so.6()(64bit)
Requires: libc.so.6(GLIBC_2.2.5)(64bit)
Requires: libc6 >= 2.22
Provides: elf(buildid) = 0683acbe8aae092a19f4f5e491ce365c68de40e7

%description -n iputils-tracepath
Utilities for the IP protocol, including traceroute6, tracepath,
tracepath6, ping, ping6 and arping.

%package -n iputils-tracepath6
Summary: Network monitoring tools
Group: console/network
Requires: rtld(GNU_HASH)
Requires: libc.so.6()(64bit)
Requires: libc.so.6(GLIBC_2.2.5)(64bit)
Requires: libc6 >= 2.22
Provides: elf(buildid) = 31cf51d8b800f250e64dc18aa0d639bf169e34d7

%description -n iputils-tracepath6
Utilities for the IP protocol, including traceroute6, tracepath,
tracepath6, ping, ping6 and arping.

%package -n iputils-traceroute6
Summary: Network monitoring tools
Group: console/network
Requires: rtld(GNU_HASH)
Requires: libcap2 >= 2.24
Requires: libc.so.6()(64bit)
Requires: libc.so.6(GLIBC_2.2.5)(64bit)
Requires: libc6 >= 2.22
Requires: libcap.so.2()(64bit)
Provides: elf(buildid) = 2243f2d09ae5165c9c95646b685a2da41b0cc9b4

%description -n iputils-traceroute6
Utilities for the IP protocol, including traceroute6, tracepath,
tracepath6, ping, ping6 and arping.

%package -n iputils-clockdiff
Summary: Network monitoring tools
Group: console/network
Requires: rtld(GNU_HASH)
Requires: libcap2 >= 2.24
Requires: libc.so.6()(64bit)
Requires: libc.so.6(GLIBC_2.2.5)(64bit)
Requires: libc6 >= 2.22
Requires: libcap.so.2()(64bit)
Provides: elf(buildid) = 6a20e5988adb935b6bf45ff9b866421603669fa7

%description -n iputils-clockdiff
Utilities for the IP protocol, including traceroute6, tracepath,
tracepath6, ping, ping6 and arping.

%post -n iputils-ping
# iputils-ping - postinst
#!/bin/sh
	update-alternatives --install /bin/ping ping /bin/ping.iputils 100


%preun -n iputils-ping
# iputils-ping - prerm
#!/bin/sh
if [ "$1" = "0" ] ; then
	update-alternatives --remove  ping /bin/ping.iputils
fi

%post -n iputils-ping6
# iputils-ping6 - postinst
#!/bin/sh
	update-alternatives --install /bin/ping6 ping6 /bin/ping6.iputils 100


%preun -n iputils-ping6
# iputils-ping6 - prerm
#!/bin/sh
if [ "$1" = "0" ] ; then
	update-alternatives --remove  ping6 /bin/ping6.iputils
fi

%files
%defattr(-,-,-,-)

%files -n iputils-dbg
%defattr(-,-,-,-)
%dir "/usr"
%dir "/bin"
%dir "/usr/src"
%dir "/usr/src/debug"
%dir "/usr/src/debug/iputils"
%dir "/usr/src/debug/iputils/s20121221-r0"
%dir "/usr/src/debug/iputils/s20121221-r0/iputils-s20121221"
"/usr/src/debug/iputils/s20121221-r0/iputils-s20121221/traceroute6.c"
"/usr/src/debug/iputils/s20121221-r0/iputils-s20121221/ping6.c"
"/usr/src/debug/iputils/s20121221-r0/iputils-s20121221/tracepath.c"
"/usr/src/debug/iputils/s20121221-r0/iputils-s20121221/clockdiff.c"
"/usr/src/debug/iputils/s20121221-r0/iputils-s20121221/tracepath6.c"
"/usr/src/debug/iputils/s20121221-r0/iputils-s20121221/ping_common.c"
"/usr/src/debug/iputils/s20121221-r0/iputils-s20121221/in6_flowlabel.h"
"/usr/src/debug/iputils/s20121221-r0/iputils-s20121221/SNAPSHOT.h"
"/usr/src/debug/iputils/s20121221-r0/iputils-s20121221/arping.c"
"/usr/src/debug/iputils/s20121221-r0/iputils-s20121221/ping6_niquery.h"
"/usr/src/debug/iputils/s20121221-r0/iputils-s20121221/ping.c"
"/usr/src/debug/iputils/s20121221-r0/iputils-s20121221/ping_common.h"
%dir "/bin/.debug"
"/bin/.debug/arping"
"/bin/.debug/tracepath"
"/bin/.debug/tracepath6"
"/bin/.debug/clockdiff"
"/bin/.debug/ping.iputils"
"/bin/.debug/ping6.iputils"
"/bin/.debug/traceroute6"

%files -n iputils-dev
%defattr(-,-,-,-)

%files -n iputils-doc
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/share"
%dir "/usr/share/man"
%dir "/usr/share/man/man8"
"/usr/share/man/man8/tracepath.8"
"/usr/share/man/man8/ping.8"
"/usr/share/man/man8/traceroute6.8"
"/usr/share/man/man8/arping.8"

%files -n iputils-ping
%defattr(-,-,-,-)
%dir "/bin"
"/bin/ping.iputils"

%files -n iputils-ping6
%defattr(-,-,-,-)
%dir "/bin"
"/bin/ping6.iputils"

%files -n iputils-arping
%defattr(-,-,-,-)
%dir "/bin"
"/bin/arping"

%files -n iputils-tracepath
%defattr(-,-,-,-)
%dir "/bin"
"/bin/tracepath"

%files -n iputils-tracepath6
%defattr(-,-,-,-)
%dir "/bin"
"/bin/tracepath6"

%files -n iputils-traceroute6
%defattr(-,-,-,-)
%dir "/bin"
"/bin/traceroute6"

%files -n iputils-clockdiff
%defattr(-,-,-,-)
%dir "/bin"
"/bin/clockdiff"

